Changes between Version 121 and Version 123 of Ticket #13137


Ignore:
Timestamp:
01/13/13 20:12:54 (8 years ago)
Author:
jdemeyer
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #13137

    • Property Milestone changed from sage-5.6 to sage-5.7
  • Ticket #13137 – Description

    v121 v123  
    11As the summary says. Also, mpir-2.4.0.p5.spkg fails self-tests, moreover it's old.
    2 Upgrading to 2.6.0 fixes both issue.
     2Upgrading to 2.6.0 fixes both issues.
    33
    4 Here are some (preliminary?) spkgs of MPIR version since 2.4.x:
    5 * [http://sage.math.washington.edu/home/palmieri/SPKG/mpir-2.5.1.p0.spkg],
    6 * [http://sage.math.washington.edu/home/palmieri/SPKG/mpir-2.5.2.p0.spkg],
    7 * [http://boxen.math.washington.edu/home/jpflori/mpir-2.6.0.p0.spkg] (based on Cygwin fix of #12115).
     4This requires the fixed !LinBox spkg from #13755.
    85
    9 The different spkg were upgraded to the quoted versions, with files removed as described by SPKG.txt, and patches rebased except the yasm patch which seems no longer necessary was removed.
    10 
    11 In addition to using one of these spkgs, apply the patch below to the SAGE_ROOT repository.
    12 
    13 This also requires the fixed !LinBox spkg from #13755.
    14 
    15 ----
     6'''Apply:'''
     7 * [attachment:trac_13137-stopgap.patch] to the SAGE_ROOT repository.
    168
    179'''New spkg:''' [http://boxen.math.washington.edu/home/leif/Sage/spkgs/mpir-2.6.0.p0.spkg]
     
    3426 * Only build the shared version of the library on Cygwin.
    3527 * Export `ABI=32` on Cygwin.
    36 
    37 [[BR]]
    38 
    39 '''Apply:'''
    40  * [attachment:trac_13137-stopgap.patch] to the SAGE_ROOT repository.